# (c) 2001 Nuxeo SARL <http://nuxeo.com>
# (c) 2001 Florent Guillaume <mailto:fg@nuxeo.com>
# See licence info at the end of this file.
# $Id: __init__.py,v 1.1 2001/10/02 18:30:33 guillaum Exp $

import PortalContentFolder
from Products.CMFCore import utils

ADD_CONTENT_PERMISSION = 'Add portal content' # disgusting isn't it ?

def initialize(registrar):
    utils.ContentInit(
        'PortalContentFolder',
        content_types = (PortalContentFolder.PortalContentFolder,),
        permission = ADD_CONTENT_PERMISSION,
        extra_constructors = (PortalContentFolder.addPortalContentFolder,),
        fti = PortalContentFolder.factory_type_information,
        ).initialize(registrar)


# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
